Bug 1129555 - confirmation_page:Miss notice "Boot device may be part of a storage domain!" info when selecting a storage domain as boot device
Summary: confirmation_page:Miss notice "Boot device may be part of a storage domain!" ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-node
Version: 3.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Fabian Deutsch
QA Contact: bugs@ovirt.org
URL:
Whiteboard: node
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 07:44 UTC by haiyang,dong
Modified: 2016-02-10 19:39 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:27:14 UTC
oVirt Team: Node


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31431 master MERGED confirmation_page: fix miss notice info when selecting a storage domain as boot device Never

Description haiyang,dong 2014-08-13 07:44:14 UTC
Description of problem:
confirmation_page:Miss notice "Boot device may be part of a storage domain!" info when selecting a storage domain as boot device.

Change the follow code of confirmation_page.py:
 66         if self._storage_tagged(["boot.device.current"]):
 67             ws.extend([ui.Notice("boot.notice", _("Boot device may be part "
 68                                                   "of a storage domain!"))])
into
 66         if self._storage_tagged(self._model["boot.device.current"]):
 67             ws.extend([ui.Notice("boot.notice", _("Boot device may be part "
 68                                                   "of a storage domain!"))])
could fix this issue

Version-Release number of selected component (if applicable):
http://jenkins.ovirt.org/view/All/job/ovirt-node-iso_master_merged/1376/artifact/exported-artifacts/ovirt-node-base-iso-3.1.0_master-20140812.0.el6.iso
ovirt-node-3.1.0-0.0.master.20140808.git31bb477.el6.noarch

How reproducible:
100%

Steps to Reproduce:


Actual results:


Expected results:


Additional info:

Comment 1 Sandro Bonazzola 2014-10-17 12:27:14 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.